package com.monetra.unitermdemo;

import android.os.Bundle;
import android.preference.ListPreference;
import android.preference.PreferenceFragment;

import java.util.ArrayList;

/**
 * Created by gweston on 11/2/16.
 */

public class SettingsFragment extends PreferenceFragment {

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        addPreferencesFromResource(R.xml.preferences);

    }

    @Override
    public void onActivityCreated(Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);
    }

    public void populateDeviceList(ArrayList keys, ArrayList values) {
        populateListPreference("deviceIdentifier", keys, values);
    }

    public void populateDeviceTypes(ArrayList keys, ArrayList values) {
        populateListPreference("deviceType", keys, values);
    }

    private void populateListPreference(String preferenceKey, ArrayList keys, ArrayList values) {
        ListPreference listPreference = (ListPreference) findPreference(preferenceKey);
        if (keys.size() > 0 && values.size() > 0) {
            listPreference.setEntries((CharSequence[]) keys.toArray(new CharSequence[keys.size()]));
            listPreference.setEntryValues((CharSequence[]) values.toArray(new CharSequence[values.size()]));
            if (listPreference.getValue() == null) {
                listPreference.setValueIndex(0);
            }
        } else {
            listPreference.setEntries(new CharSequence[0]);
            listPreference.setEntryValues(new CharSequence[0]);
        }
    }

}
